package org.bdware.sc;

public enum ContractStatusEnum {
    INIT(0, "初始化"),
    RUNNING(1, "内存运行中"),
    HANGED(2, "硬盘运行中"),
    KILLED(3, "已停止");
    private Integer code;
    private String desc;

    ContractStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ContractStatusEnum getContractStatusEnumByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (ContractStatusEnum contractStatusEnum : ContractStatusEnum.values()) {
            if (contractStatusEnum.getCode().intValue() == code) {
                return contractStatusEnum;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
