package org.bdware.sc.event.clients;

import org.bdware.sc.conn.ResultCallback;
import org.bdware.sc.event.EventCenter;

/**
 * @author Kaidong Wu
 */
public class NodeConsumer implements IEventConsumer {
    private static EventCenter center;

    private final String nodeId;
    @SuppressWarnings("unused")
    private final ConsumerType type = ConsumerType.Node;

    public NodeConsumer(String nodeId) {
        this.nodeId = nodeId;
    }

    public static void setCenter(EventCenter center) {
        NodeConsumer.center = center;
    }

    @Override
    public String getId() {
        return this.nodeId;
    }

    @Override
    public ConsumerType getType() {
        return type;
    }

    @Override
    public void publishEvent(Object msg, ResultCallback rc, String... options) {
        center.publishEvent(nodeId, msg.toString());
        if (null != rc) {
            rc.onResult("");
        }
    }

    @Override
    public void competeSub(Object msg, ResultCallback rc, String... options) {
        publishEvent(msg, rc, options);
    }
}