package org.bdware.server.trustedmodel;

import org.bdware.sc.bean.ContractRequest;
import org.bdware.sc.conn.Node;
import org.bdware.sc.conn.OnHashCallback;
import org.bdware.sc.conn.ResultCallback;

import java.util.Map;

public interface ContractExecutor {
    void execute(String requestID, ContractRequest req, ResultCallback rcb, OnHashCallback hcb);

    default void onRecover(Map<String, Object> args) {
    }

    default void onDeliverBlock(String data) {
    }

    default void close() {
    }

    default void onSyncMessage(Node node, byte[] data) {
    }
}
